Page MenuHomePhabricator

Deploy updated version of "Skeirs II" webfont (to not display Latin text in Gothic script anymore)
Closed, ResolvedPublic

Description

The current Skeirs II converts both Latin and Gothic letters to the Gothic font it has. This causes the Gothic wikipedia to display all Latin text in Gothic script too.

I asked mr. Pfeffer to solve this and http://robert-pfeffer.net/schriftarten/englisch/nachgeladener_rahmen.html?skeirs.html now includes a Skeirs font which displays correctly. I tested it on http://webfont-test.com/ and the Latin indeed doesn't seem to be converted anymore. Please, replace the Skeirs II font with the current version on his website.

Event Timeline

Bokareis created this task.Jan 26 2016, 3:21 PM
Bokareis raised the priority of this task from to Medium.
Bokareis updated the task description. (Show Details)
Bokareis added a subscriber: Bokareis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2016, 3:21 PM

When will this issue be solved?

So this request is not about replacing the font, but updating it on the Wikimedia servers by pulling a new version from the website?

That is correct. What I ment is that the version in Wikipedia needs to be replaced/updated with the current version on the website. So indeed updated.

Aklapper renamed this task from The current Skeirs II wikifont needs to be replaced to Deploy updated version of "Skeirs II" webfont (to not display Latin text in Gothic script anymore).Apr 8 2016, 10:54 AM
Aklapper set Security to None.

May I ask when this will be done?

I'm wondering if this is still Language Engineering territory (@Arrbee) or needs Operations...

@Aklapper This need to fix in ULS.

Change 301397 had a related patch set uploaded (by KartikMistry):
Update Skeirs II font

https://gerrit.wikimedia.org/r/301397

Change 301397 merged by jenkins-bot:
Update Skeirs II font

https://gerrit.wikimedia.org/r/301397

What I see now after enabling webfonts in got.wikipedia.org is that all text is in the webfont, but if I set lang="en" explicitly, then it's not in the webfont and looks like the simple modern Latin alphabet. Is this the expected result? See the test here: https://got.wikipedia.org/wiki/User:Amire80/test_skeirs

@Amire80 This update is not yet deployed there.

@Amire80 This update is not yet deployed there.

Got it, for some reason I thought that it is.

Amire80 closed this task as Resolved.Aug 9 2016, 7:56 PM

Verified.

Amire80 moved this task from QA to Done on the Language-Q1-2016-17 Sprint 2 board.Aug 9 2016, 8:05 PM